Subject: [Hipsec] Adding CMAC and GMAC to 5202-bis

From: Robert Moskowitz <[email-masked]>
Date: Wed, 30 Oct 2013 07:21:32 -0700

We added the 'modern' modes:  CCM and GCM to 5202-bis, but left out the 
authentication only modes.  Thus I propose adding to sec 5.1.2:

  AES-CMAC-96         14              [RFC4493], [RFC4494]
  AES-GMAC              15              [RFC4543]

If you have CCM in your implementation, it makes sense to offer CMAC, 
and likewise GCM/GMAC.

If there is no down votes on this, Tom said he would add them.

There is JUST one MINOR point about manditory to implement, also in sec 
5.1.2.

Keep it as is, or change it two either CCM or GCM?  I can argue this all 
ways around.  I suspect that sensor implementations may well ignore the 
manditory and just do CCM.